%define major		7
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define bootstrap	0
%{?_without_bootstrap:	%global bootstrap 0}
%{?_with_bootstrap:	%global bootstrap 1}

Summary:	JPEG-2000 utilities
Name:		jasper
Version:	4.2.3
Release:	%mkrel 1
License:	BSD-like
Group:		Graphics/Editors and Converters
URL:		https://www.ece.uvic.ca/~frodo/jasper/
#Source0: 	https://www.ece.uvic.ca/~frodo/jasper/software/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/jasper-software/jasper/releases/download/version-%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libheif)
BuildRequires:	pkgconfig(libjpeg)
%if !%bootstrap
BuildRequires:	pkgconfig(freeglut)
%endif

%description
JasPer is a software-based implementation of the codec specified in the
emerging JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).  This package
contains tools for working with JPEG-2000 images.

%package -n %{libname}
Summary:	Libraries for JasPer
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
JasPer is a software-based implementation of the codec specified in the
emerging JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).  This package
contains libraries for working with JPEG-2000 images.

%package -n %{develname}
Summary:	Development tools for programs which will use the libjasper library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

Obsoletes:	%{mklibname %{name} -d -s} < 1.900.23-6

%description -n %{develname}
The %{develname} package includes the header files necessary for
developing programs which will manipulate JPEG-2000 files using
the libjasper library.

If you are going to develop programs which will manipulate JPEG-2000 images,
you should install %{develname}. You'll also need to have the
%{libname} package installed.

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
%define _vpath_builddir buildx

%cmake -DJAS_ENABLE_DOC:BOOL=OFF \
       -DALLOW_IN_SOURCE_BUILD=ON

%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.la' -delete

%multiarch_includes %{buildroot}%{_includedir}/jasper/jas_config.h

%files
%doc README.md
%{_docdir}/JasPer/
%license LICENSE.txt
%{_bindir}/imgcmp
%{_bindir}/imginfo
%{_bindir}/jasper
%if !%bootstrap
%{_bindir}/jiv
%endif
%{_mandir}/man1/imgcmp.1*
%{_mandir}/man1/imginfo.1*
%{_mandir}/man1/jasper.1*
%if !%bootstrap
%{_mandir}/man1/jiv.1*
%endif

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/README.txt doc/jpeg2000.pdf
%multiarch %dir %{multiarch_includedir}/%{name}
%multiarch %{multiarch_includedir}/%{name}/*.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/jasper.pc


%changelog
* Thu Apr 25 2024 daviddavid <daviddavid> 4.2.3-1.mga10
+ Revision: 2060881
- new version: 4.2.3, fixes CVE-2024-31744 (mga#33134)

* Sat Mar 09 2024 daviddavid <daviddavid> 4.2.1-1.mga10
+ Revision: 2048882
- new version: 4.2.1

* Thu Feb 15 2024 daviddavid <daviddavid> 4.2.0-1.mga10
+ Revision: 2041372
- new version: 4.2.0

* Thu Feb 01 2024 daviddavid <daviddavid> 4.1.2-1.mga10
+ Revision: 2036691
- new version: 4.1.2

* Fri Dec 08 2023 daviddavid <daviddavid> 4.1.1-1.mga10
+ Revision: 2015531
- new version: 4.1.1

* Mon Nov 27 2023 daviddavid <daviddavid> 4.1.0-1.mga10
+ Revision: 2009945
- new version: 4.1.0

* Fri Oct 13 2023 daviddavid <daviddavid> 4.0.0-1.mga10
+ Revision: 1995992
- new version: 4.0.0
- now libmajor is 7
- remove merged upstream patch

* Tue Nov 22 2022 daviddavid <daviddavid> 3.0.6-1.mga9
+ Revision: 1909962
- new version: 3.0.6
- now libmajor is 6
- backport upstream patch for CVE-2022-2963 (mga#30847)

* Thu Nov 03 2022 ghibo <ghibo> 2.0.33-3.mga9
+ Revision: 1901996
- Rebuild for aging
+ ns80 <ns80>
- revert to jasper 2
- new version 3.0.6 for CVE-2022-2963 (mga#30847)
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Sep 08 2021 luigiwalser <luigiwalser> 2.0.33-1.mga9
+ Revision: 1744553
- add patch from fedora to remove hard-coded rpath
- 2.0.33

* Mon Aug 02 2021 luigiwalser <luigiwalser> 2.0.32-1.mga9
+ Revision: 1738652
- 2.0.32

* Thu Apr 01 2021 daviddavid <daviddavid> 2.0.28-1.mga9
+ Revision: 1712329
- new version: 2.0.28

* Wed Mar 24 2021 daviddavid <daviddavid> 2.0.27-1.mga9
+ Revision: 1709093
- new version: 2.0.27

* Sat Mar 06 2021 daviddavid <daviddavid> 2.0.26-1.mga9
+ Revision: 1700132
- new version: 2.0.26

* Mon Feb 08 2021 daviddavid <daviddavid> 2.0.25-1.mga9
+ Revision: 1675057
- new version: 2.0.25, fixes CVE-2021-3272 (mga#28318)

* Tue Dec 15 2020 luigiwalser <luigiwalser> 2.0.23-2.mga8
+ Revision: 1657869
- rebuild for missing signature

* Tue Dec 15 2020 daviddavid <daviddavid> 2.0.23-1.mga8
+ Revision: 1657798
- new version: 2.0.23
- remove merged upstream patch

* Mon Dec 14 2020 daviddavid <daviddavid> 2.0.22-2.mga8
+ Revision: 1657416
- add upstream patch to fix CVE-2020-27828

* Wed Oct 07 2020 daviddavid <daviddavid> 2.0.22-1.mga8
+ Revision: 1632575
- new version: 2.0.22

* Wed Aug 05 2020 luigiwalser <luigiwalser> 2.0.19-1.mga8
+ Revision: 1611225
- 2.0.19

* Wed Aug 05 2020 luigiwalser <luigiwalser> 2.0.17-1.mga8
+ Revision: 1611217
- 2.0.17
- remove patches (fixed upstream)

* Wed May 27 2020 daviddavid <daviddavid> 2.0.16-4.mga8
+ Revision: 1588141
- add patch to fix CVE-2018-9154 (mga#26690)

* Tue Feb 18 2020 daviddavid <daviddavid> 2.0.16-3.mga8
+ Revision: 1539369
- usenew cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Dec 04 2019 daviddavid <daviddavid> 2.0.16-2.mga8
+ Revision: 1464196
- add patches to fix CVE-2018-19540 and CVE-2018-19541 (mga#25800)

* Fri Oct 04 2019 daviddavid <daviddavid> 2.0.16-1.mga8
+ Revision: 1449339
- new version: 2.0.16

* Sat May 04 2019 daviddavid <daviddavid> 2.0.14-4.mga7
+ Revision: 1396335
- add patches to fix CVE-2016-9398, CVE-2018-19539 and CVE-2018-19542 (mga#24760)

* Sun Sep 23 2018 umeabot <umeabot> 2.0.14-3.mga7
+ Revision: 1298350
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 daviddavid <daviddavid> 2.0.14-2.mga7
+ Revision: 1235313
- patch1: fixes CVE-2016-9396 (mga#23139)
- patch2: fixes CVE-2018-9055 (mga#23139)

* Mon Apr 16 2018 daviddavid <daviddavid> 2.0.14-1.mga7
+ Revision: 1219258
- new version: 2.0.14 (time to go with jasper 2 now)
- now libmajor is 4
- switch to cmake build
- remove no more needed patches
- remove unneeded static libraries

* Wed Apr 19 2017 ns80 <ns80> 1.900.23-5.mga6
+ Revision: 1096765
- add patch for CVE-2016-9600 (mga#19605)

* Tue Mar 07 2017 ns80 <ns80> 1.900.23-4.mga6
+ Revision: 1089446
- add a patch for NULL pointer dereference in jp2_encode (mga#19605)

* Mon Mar 06 2017 ns80 <ns80> 1.900.23-3.mga6
+ Revision: 1089055
- add an upstream patch for NULL pointer dereference in jp2_cdef_destroy

* Thu Mar 02 2017 ns80 <ns80> 1.900.23-2.mga6
+ Revision: 1088469
- update patch for CVE-2016-9557 to not modify the API

* Wed Feb 22 2017 ns80 <ns80> 1.900.23-1.mga6
+ Revision: 1087360
- new version 1.900.23 for many security issues (mga#19605)

* Tue Aug 16 2016 luigiwalser <luigiwalser> 1.900.1-26.mga6
+ Revision: 1046531
- add patches from fedora to fix CVE-2015-5203 and CVE-2015-5221

* Thu Mar 03 2016 luigiwalser <luigiwalser> 1.900.1-25.mga6
+ Revision: 984897
- add patch from opensuse to fix CVE-2016-2089
- add patches from ubuntu to fix CVE-2016-1577 and CVE-2016-2116

* Fri Feb 05 2016 luigiwalser <luigiwalser> 1.900.1-24.mga6
+ Revision: 937839
- disable CVE-2015-5203 patch as it breaks jasper (mga#16629)

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1.900.1-23.mga6
+ Revision: 927416
- add patch from opensuse to fix CVE-2016-1867

* Sun Oct 11 2015 sander85 <sander85> 1.900.1-22.mga6
+ Revision: 889760
- Fix CVE-2015-5203

* Wed Sep 16 2015 blino <blino> 1.900.1-21.mga6
+ Revision: 879861
- fix buildrequire for glut and disable bootstrap mode to enable OpenGL app

* Fri Jan 23 2015 luigiwalser <luigiwalser> 1.900.1-20.mga5
+ Revision: 812012
- add patches from redhat to fix CVE-2014-8157 and CVE-2014-8158

* Thu Dec 18 2014 luigiwalser <luigiwalser> 1.900.1-19.mga5
+ Revision: 804045
- add patches from fedora to fix CVE-2014-8137 and CVE-2014-8138

* Thu Dec 04 2014 luigiwalser <luigiwalser> 1.900.1-18.mga5
+ Revision: 801532
- add patch from debian to fix CVE-2014-9029

* Wed Oct 15 2014 umeabot <umeabot> 1.900.1-17.mga5
+ Revision: 740074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.900.1-16.mga5
+ Revision: 680631
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.900.1-15.mga4
+ Revision: 521242
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 1.900.1-14.mga3
+ Revision: 389738
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 25 2012 luigiwalser <luigiwalser> 1.900.1-13.mga2
+ Revision: 226425
- bump release (mga #5067)

* Wed Dec 28 2011 dmorgan <dmorgan> 1.900.1-12.mga2
+ Revision: 188305
- P8: security fixes for CVE-2011-4516, CVE-2011-4517 (CERT VU#887409)
- P10 - P16: fixes various errors found by static analysis of code (coverity)
- P3, P4, P5, P6 now replaces the ubuntu patch (P0) which fixed the same
  issues (CVE-2007-2721, CVE-2008-3520, CVE-2008-3521, CVE-2008-3522)

* Fri Sep 23 2011 fwang <fwang> 1.900.1-11.mga2
+ Revision: 146938
- upload patch
- drop extra linking libs
- drop .la files

* Wed Jan 12 2011 dmorgan <dmorgan> 1.900.1-11.mga1
+ Revision: 7112
- imported package jasper


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.900.1-11mdv2011.0
+ Revision: 606067
- rebuild

* Tue May 18 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.900.1-10mdv2010.1
+ Revision: 545157
- rebuild to fix perms on debug package (bug #57758)

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.900.1-9mdv2010.1
+ Revision: 488769
- rebuilt against libjpeg v8

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 1.900.1-8mdv2010.0
+ Revision: 449123
- add bootstrap flag to build without mesaglut (from Arnaud Patard)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.900.1-7mdv2010.0
+ Revision: 416521
- rebuilt against libjpeg v7

* Fri Jun 26 2009 Oden Eriksson <oeriksson@mandriva.com> 1.900.1-6mdv2010.0
+ Revision: 389545
- P0: security fixes for CVE-2007-2721, CVE-2008-3520, CVE-2008-3521, CVE-2008-3522

* Sun Jan 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.900.1-5mdv2009.1
+ Revision: 333536
- new devel library policy
- spec file clean

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.900.1-4mdv2009.0
+ Revision: 221674
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.900.1-3mdv2008.1
+ Revision: 150417
- rebuild
- kill re-definition of %%buildroot on Pixel's request

* Thu May 10 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.900.1-2mdv2008.0
+ Revision: 26012
- Put needed conflicts for older libjasper devel/static-devel packages.

* Fri May 04 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.900.1-1mdv2008.0
+ Revision: 22519
- Updated to 1.900.1.
- Cleanups, small typo fixes.


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.701.0-6mdv2007.1
+ Revision: 146605
- move devel doc in -devel

  + Olivier Blin <oblin@mandriva.com>
    - Import jasper

* Sat Aug 19 2006 Emmanuel Andry <eandry@mandriva.org> 1.701.0-5mdv2007.0
- fix buildrequires
- %%mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.701.0-4mdk
- Rebuild

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.701.0-3mdk
- multiarch

* Thu Jul 15 2004 Michael Scherer <misc@mandrake.org> 1.701.0-2mdk 
- rebuild for new gcc

